<?php

namespace App\ViewModels\CreditoCliente\CreditoClienteRegistrationFromCreditoViewModel;

use App\Utils\Builder;

class CreditoClienteRegistrationFromCreditoViewModelBuilder implements Builder {

	protected $creditoId;
	protected $clienteId;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $valor;
	protected $saldo;
		
	public function build():CreditoClienteRegistrationFromCreditoViewModel {
		
		$creditoCliente = new CreditoClienteRegistrationFromCreditoViewModel();
		
		$creditoCliente->setCreditoId($this->creditoId);
		$creditoCliente->setClienteId($this->clienteId);
		$creditoCliente->setDataCriacao($this->dataCriacao);
		$creditoCliente->setHoraCriacao($this->horaCriacao);
		$creditoCliente->setSaldo($this->saldo);
		$creditoCliente->setValor($this->valor);
		
		return $creditoCliente;


	}
	/**
	 * @param mixed $extornoId
	 */
	public function setCreditoId($creditoId) {

		$this->creditoId = $creditoId;
		return $this;
	}


	/**
	 * @param mixed $clienteId
	 */
	public function setClienteId($clienteId) {

		$this->clienteId = $clienteId;
		return $this;
	}


	/**
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;
		return $this;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;
		return $this;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;
		return $this;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;
	}


	/**
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;
		return $this;
	}

}

